=== debian/changelog ===
ros-noetic-magnetometer-compass (1.0.3-1focal) focal; urgency=high

  * Fixed installation of data
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 11 Jul 2023 22:00:00 -0000

ros-noetic-magnetometer-compass (1.0.2-1focal) focal; urgency=high

  * Renamed compass -> magnetometer_compass
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 11 Jul 2023 22:00:00 -0000

ros-noetic-magnetometer-compass (1.0.1-1focal) focal; urgency=high

  * Made use of cras_cpp_common's node_from_nodelet CMake macro.
  * Removed imu_transformer workaround
  * Added option to force magnetic declination value.
  * Added visualization of azimuth.
  * Fixed IMU orientation covariance transformation.
  * Renamed magnetometer_compass package to compass.
  * Added variance to magnetometer compass outputs. It now also outputs fully valid georeferenced IMU messages instead of just writing the orientation into them.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 18 Jun 2023 22:00:00 -0000
