=== debian/control ===
Source: ros-noetic-magnetometer-compass
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libgeographic-dev, ros-noetic-angles, ros-noetic-catkin, ros-noetic-compass-msgs, ros-noetic-cras-cpp-common, ros-noetic-geometry-msgs, ros-noetic-imu-transformer (>= 0.3.1), ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-magnetometer-compass
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgeographic-dev, ros-noetic-compass-msgs, ros-noetic-geometry-msgs, ros-noetic-imu-transformer, ros-noetic-message-filters, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-sensor-msgs, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: Compass based on a 3-axis magnetometer, attitude readings and possibly also GPS.
